Bug 21868 - gdb has miscellenious but severe problems
gdb has miscellenious but severe problems
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: gdb (Show other bugs)
7.0
i686 Linux
high Severity high
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-12-06 21:01 EST by Mikko Ahonen
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-13 13:47:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikko Ahonen 2000-12-06 21:01:18 EST
After installing Redhat 7 (2.2.16-22) from CD I have tried to use gdb to
debug my
programs. I have seen the following behavior:

a) attach does not work at all:
    I'm trying to debug a server which creates multiple threads and
multiple lightweight
    processes (LWPs), I am unable to attach to the other newly created
existing LWP
    (I can see the processes on ps) and I get the following error message:
 
   [New Thread 1026 (LWP 25643)]
   ...
   [stuff deleted]
   ...
   (gdb) atta 25643
   Attaching to program: /solid/solid-ldap-0.20/servers/slapd/slapd, Pid
25643
   ptrace: Operation not permitted.

   If I attach to another random process (I tried with pine and bash
processes), it works
   fine and 'where' shows me the stack trace of the process I tried to
access earlier.

b) when tracing simple single-process programs, the stepping through (s)
does not
    print properly where it is at times. it sometimes goes through two
function calls and then          goes through them again, and sometimes it
even seems to skip some function calls.
Comment 1 Trond Eivind Glomsrxd 2000-12-07 11:29:50 EST
Can you try the one currently in Rawhide?
Comment 2 Don Howard 2001-02-13 13:47:19 EST
a) attach does not work at all:

	Is slapd running as root?  If so, gdb must also be run as root in order to
attach to it. (Permissions 			problem)

b) when tracing simple single-process programs, the stepping through (s) does
not print properly where it is at times

	Are you debugging a process that was compiled with optimization turned on
(-O...)?  Debugging 			optimized code can cause this.

	If not, can you supply an example program?a) attach does not work at all:

	Is slapd running as root?  If so, gdb must also be run as root in order to
attach to it. (Permissions 			problem)

b) when tracing simple single-process programs, the stepping through (s) does
not print properly where it is at times

	Are you debugging a process that was compiled with optimization turned on
(-O...)?  Debugging 			optimized code can cause this.

	If not, can you supply an example program?

Note You need to log in before you can comment on or make changes to this bug.